LibreOffice: LinguServiceManager Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
LinguServiceManager Service Referencepublished

offers linguistic functionality. More...

`import"LinguServiceManager.idl";`

Inheritance diagram for LinguServiceManager:

## Additional Inherited Members
Exported Interfaces inherited from XLinguServiceManager2
interface | com::sun::star::linguistic2::XLinguServiceManager
interface | com::sun::star::linguistic2::XAvailableLocales
interface | com::sun::star::lang::XComponent
Public Member Functions inherited from XLinguServiceManager
com::sun::star::linguistic2::XSpellChecker | getSpellChecker ()
com::sun::star::linguistic2::XHyphenator | getHyphenator ()
com::sun::star::linguistic2::XThesaurus | getThesaurus ()
boolean | addLinguServiceManagerListener ([in] com::sun::star::lang::XEventListener xListener)
| adds a listener to the list of event listeners. More...
boolean | removeLinguServiceManagerListener ([in] com::sun::star::lang::XEventListener xListener)
| removes a listener from the list of event listeners. More...
sequence< string > | getAvailableServices ([in] string aServiceName, [in] com::sun::star::lang::Locale aLocale)
void | setConfiguredServices ([in] string aServiceName, [in] com::sun::star::lang::Locale aLocale, [in] sequence< string > aServiceImplNames)
| sets the list of service implementations to be used for a given service and language. More...
sequence< string > | getConfiguredServices ([in] string aServiceName, [in] com::sun::star::lang::Locale aLocale)
| queries the list of service implementations to be used for a given service and language. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAvailableLocales
sequence< com::sun::star::lang::Locale > | getAvailableLocales ([in] string aServiceName)
| retrieve the list of supported languages (Locales). More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

offers linguistic functionality.

Is to be used to access spell checker, hyphenator and thesaurus.

Developers Guide
  OfficeDev - Linguistics

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/LinguServiceManager.idl